/*************************************************************************/
/* (c) 2004-2009 Denora Team                                             */
/* Contact us at info@denorastats.org                                    */
/*                                                                       */
/* Please read COPYING and README for furhter details.                   */
/*                                                                       */
/* Based on the original code of Anope by Anope Team.                    */
/* Based on the original code of Thales by Lucas.                        */
/*                                                                       */
/* $Id: ircd.h 240 2009-02-16 14:27:43Z hal9000 $                        */
/*                                                                       */
/*************************************************************************/

#define IRC_OTHER      1   /* Used for ircd not in the list below        */
#define IRC_BAHAMUT    2   /* Bahamut 1.4 and 1.8                        */
#define IRC_FQIRCD     3   /* Freequest IRCd                             */
#define IRC_HYBRID     4   /* Hybrid IRCd 7                              */
#define IRC_IRCU       5   /* IRCu                                       */
#define IRC_NEFARIOUS  6   /* Nefarious IRCu                             */
#define IRC_INSPIRCD   7   /* Inspircd 1.0.x                             */
#define IRC_PLEXUS     8   /* Plexus IRCd                                */
#define IRC_PTLINK     9   /* PTLink 6.19.x                              */
#define IRC_QUAKEIRCD  10  /* QuakeIRCD 2.0                              */
#define IRC_RAGEIRCD   11  /* Rage IRCd 2.0                              */
#define IRC_RATBOX     12  /* Ratbox IRCd                                */
#define IRC_SHADOWIRCD 13  /* ShadowIRCD                                 */
#define IRC_ULTIMATE2  14  /* Ultimate IRCd 2.8                          */
#define IRC_ULTIMATE3  15  /* Ultimate IRCd 3.0                          */
#define IRC_UNREAL31   16  /* Unreal IRCd 3.1                            */
#define IRC_UNREAL32   17  /* Unreal IRCd 3.2                            */
#define IRC_VIAGRA     18  /* Viagra IRCd                                */
#define IRC_SOLIDIRCD  19  /* SolidIRCd 3.4.x                            */
#define IRC_ASUKA      20  /* Asuka IRCu                                 */
#define IRC_IRCNET     21  /* IRCNet 2.11.1p1 (never released)           */
#define IRC_SORCERY    22  /* Sorcery IRCD                               */
#define IRC_IRCDREAMS  23  /* Irc Dreams IRCD                            */
#define IRC_LIQUIDIRCD 24  /* LiquidIRCD                                 */
#define IRC_NEOIRCD    25  /* NeoIRCD                                    */
#define IRC_DREAMFORGE 26  /* DreamForge IRCD                            */
#define IRC_HYPERION   27  /* Hyperion/Dancer IRCD                       */
#define IRC_BEWARE     28  /* Beware IRCD                                */
#define IRC_NGIRCD     29  /* Next Generation IRC Server (ngircd)        */
#define IRC_CHARYBDIS  30  /* Charybdis IRCD                             */
#define IRC_PLEXUS3    31  /* Plexus IRCd v3                             */
#define IRC_MUSIRCD    32  /* MusIRCD v2.x                               */
#define IRC_INSPIRCD11 33  /* Inspircd 1.1.x                             */
#define IRC_SCARYNET   34  /* ScaryNet 2.10.11.x			             */
#define IRC_INSPIRCD12 35  /* Inspircd 1.2.x                             */
